> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute a streaming pipeline command

> Sends a request to the streaming agent to run the specified streaming pipeline command (e.g. start, stop)



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml post /v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}/commands
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}/commands:
    post:
      tags:
        - Streaming Pipelines
      summary: Execute a streaming pipeline command
      description: >-
        Sends a request to the streaming agent to run the specified streaming
        pipeline command (e.g. start, stop)
      operationId: commandStreamingPipeline
      parameters:
        - description: >-
            The ID of the project that contains the streaming pipeline
            definition
          example: 12345678-1234-1234-1234-123456789012
          in: path
          name: projectId
          required: true
          schema:
            type: string
            format: uuid
        - description: The ID of the streaming pipeline definition to send the command to
          example: 12345678-1234-1234-1234-123456789012
          in: path
          name: streamingPipelineId
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StreamingPipelineCommandRequest'
        description: The command to send to the streaming agent to execute
        required: true
      responses:
        '202':
          description: Successfully executed streaming pipeline command
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Bad request
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Streaming Pipeline not found
        '409':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: >-
            Streaming pipeline status conflict (e.g. trying to start a running
            pipeline or stop a stopped pipeline)
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    StreamingPipelineCommandRequest:
      type: object
      properties:
        command:
          type: string
          description: The command to be sent to the streaming agent
          enum:
            - START
            - STOP
      required:
        - command
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````